fix: Continue when range request fails (#680)

This commit is contained in:
Kroese 2024-04-08 04:53:30 +02:00 committed by GitHub
parent c6d3dda171
commit debb4b69fc
No known key found for this signature in database
GPG Key ID: B5690EEEBB952194

View File

@ -122,9 +122,13 @@ if [ ! -f "$RDC" ]; then
{ curl -r "$POS" -sfk -S -o "$RD" "$LOC"; rc=$?; } || :
fKill "progress.sh"
(( rc != 0 )) && error "Failed to download $LOC, reason: $rc" && exit 60
SUM=$(md5sum "$RD" | cut -f 1 -d " ")
if (( rc != 0 )); then
(( rc != 22 )) && error "Failed to download $LOC, reason: $rc" && exit 60
SUM="skip"
else
SUM=$(md5sum "$RD" | cut -f 1 -d " ")
fi
if [ "$SUM" != "$VERIFY" ]; then